GET/v1/flows/{id}

Get a flow by ID

Retrieves a flow by its identifier. The id path parameter must contain exactly 21 alphanumeric characters; supply versionId to specify a flow version.

2 parameters
idstringrequired
The flow identifier; must contain exactly 21 alphanumeric characters.
versionIdstringoptional
The identifier of the flow version to retrieve.

1 status code
200Returns a flow object with its identifiers, status, timestamps, and version details.
createdstringrequired
externalIdstringrequired
folderIdstringoptional
idstringrequired
metadataobjectoptional
operationStatusstringrequired
Allowed:NONEDELETINGENABLINGDISABLING
ownerIdstringoptional
projectIdstringrequired
publishedVersionIdstringoptional
statusstringrequired
Allowed:ENABLEDDISABLED
templateIdstringoptional
timeSavedPerRunnumberoptional
triggerSourceobjectoptional
updatedstringrequired
versionobjectrequired

Error handling

The id path parameter must contain exactly 21 alphanumeric characters. If supplied, versionId specifies the flow version to retrieve.